Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ORB_Core.cpp File Reference

`#include "ORB_Core.h"`
`#include "ORB_Table.h"`
`#include "TAO_Internal.h"`
`#include "default_client.h"`
`#include "default_server.h"`
`#include "default_resource.h"`
`#include "debug.h"`
`#include "MProfile.h"`
`#include "Stub.h"`
`#include "Leader_Follower.h"`
`#include "Connector_Registry.h"`
`#include "Acceptor_Registry.h"`
`#include "Sync_Strategies.h"`
`#include "Object_Loader.h"`
`#include "ObjectIDList.h"`
`#include "Services_Activate.h"`
`#include "Invocation.h"`
`#include "BiDir_Adapter.h"`
`#include "tao/Thread_Lane_Resources.h"`
`#include "tao/Thread_Lane_Resources_Manager.h"`
`#include "tao/Collocation_Resolver.h"`
`#include "tao/Stub_Factory.h"`
`#include "tao/Endpoint_Selector_Factory.h"`
`#include "tao/Request_Dispatcher.h"`
`#include "Flushing_Strategy.h"`
`#include "Buffering_Constraint_Policy.h"`
`#include "tao/LF_Event_Loop_Thread_Helper.h"`
`#include "tao/ClientRequestInfo.h"`
`#include "ace/Object_Manager.h"`
`#include "ace/Dynamic_Service.h"`
`#include "ace/Arg_Shifter.h"`
`#include "ORB_Core.i"`

Include dependency graph for ORB_Core.cpp:

## Functions
const char * | get_rcsid_tao_ORB_Core (const char *)
CORBA::Environment & | TAO_default_environment ()
TAO_Export TAO_ORB_Core * | TAO_ORB_Core_instance (void)
| Obtain an instance of the first ORB core registered in the ORB table. More...
## Variables
const char * | rcsid_tao_ORB_Core = get_rcsid_tao_ORB_Core ( rcsid_tao_ORB_Core )

## Function Documentation

const char* get_rcsid_tao_ORB_Core | ( | const char * |  | ) | `[inline]`

CORBA::Environment& TAO_default_environment | ( | void |  | ) |

TAO_Export TAO_ORB_Core* TAO_ORB_Core_instance | ( | void |  | ) |

| Obtain an instance of the first ORB core registered in the ORB table.

## Variable Documentation

const char* rcsid_tao_ORB_Core = get_rcsid_tao_ORB_Core ( rcsid_tao_ORB_Core )`[static]`